Package org.eclipse.ecf.filetransfer

# Class UserCancelledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.filetransfer.UserCancelledException

All Implemented Interfaces:
  `Serializable`

public class UserCancelledException extends ECFException
Exception class for user cancellation

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UserCancelledException()`
`UserCancelledException(String message)`
`UserCancelledException(String message, Throwable cause)`
`UserCancelledException(Throwable cause)`
`UserCancelledException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserCancelledException

public UserCancelledException()

### UserCancelledException

public UserCancelledException(org.eclipse.core.runtime.IStatus status)

### UserCancelledException

public UserCancelledException(String message)

### UserCancelledException

public UserCancelledException(Throwable cause)

### UserCancelledException

public UserCancelledException(String message, Throwable cause)